Bug 443213 - Ability to toggle package details area
Ability to toggle package details area
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 06:19 EDT by Michael Monreal
Modified: 2008-06-10 06:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 06:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (36.77 KB, image/png)
2008-04-19 06:19 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2008-04-19 06:19:02 EDT
In the Add/Remove software UI, it would be nice to have the package details
(Description, File List, Depends On, Required by) inside an expander or make it
possible to disable this area in a menu checkbox.

Note: I only mean the area above the install/homepage buttons
Comment 1 Michael Monreal 2008-04-19 06:19:32 EDT
Created attachment 302990 [details]
Screenshot
Comment 2 Richard Hughes 2008-04-20 17:20:36 EDT
Why do you think it should be an expander? Surely the info is there because the
user wants to see details about the package?
Comment 3 Michael Monreal 2008-04-20 19:58:07 EDT
In 90% this is not the case for me. I normally don't go through package lists to
find new software. Surely this is a use case for many, so I don't say the info
area should go away. But having the option to not have it would be nice.

I think I just realized the design decision: 
- single click -> show details
- double click -> install directly

This is not a good idea IMHO. Non-advanced users tend to double-click on
everything (web links etc) and I suppose most users would expect a confirmation
dialog not only when other packages are pulled in.
Comment 4 Bug Zapper 2008-05-14 05:43:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Brennan Ashton 2008-06-07 22:21:51 EDT
Could you please reply to the previous question? If you won't reply in one
month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Michael Monreal 2008-06-08 02:55:20 EDT
In most of the cases I know what I want to install so this part of the GUI is
just taking away space for no good reason.
Comment 7 Robin Norwood 2008-06-09 13:01:17 EDT
I guess this depends on whether upstream (Richard) is willing to implement this.
Comment 8 Richard Hughes 2008-06-10 06:41:57 EDT
I've already moved it into a menu in master. Join the mailing list and I'll send
a screnshot to everbody on how the new application looks when have finished the
facelift. :-)

Note You need to log in before you can comment on or make changes to this bug.